VERSION 5.00
Begin VB.Form frmMainProgram 
   Caption         =   "Form2"
   ClientHeight    =   2520
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7320
   LinkTopic       =   "Form2"
   ScaleHeight     =   2520
   ScaleWidth      =   7320
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdBrowser 
      Caption         =   "Document Browser"
      Height          =   495
      Left            =   5760
      TabIndex        =   8
      Top             =   720
      Width           =   1455
   End
   Begin VB.Frame Frame1 
      Caption         =   "Template Options"
      Height          =   1335
      Left            =   3720
      TabIndex        =   3
      Top             =   0
      Width           =   1935
      Begin VB.OptionButton optTemplate 
         Caption         =   "Use Template C"
         Height          =   255
         Index           =   2
         Left            =   120
         TabIndex        =   6
         Top             =   960
         Width           =   1575
      End
      Begin VB.OptionButton optTemplate 
         Caption         =   "Use Template B"
         Height          =   255
         Index           =   1
         Left            =   120
         TabIndex        =   5
         Top             =   600
         Width           =   1695
      End
      Begin VB.OptionButton optTemplate 
         Caption         =   "Use Template A"
         Height          =   255
         Index           =   0
         Left            =   120
         TabIndex        =   4
         Top             =   240
         Value           =   -1  'True
         Width           =   1695
      End
   End
   Begin VB.CommandButton cmdExitApp 
      Caption         =   "Exit Application"
      Height          =   495
      Left            =   5760
      TabIndex        =   2
      Top             =   1920
      Width           =   1455
   End
   Begin VB.CommandButton cmdDatabaseEditor 
      Caption         =   "Edit Database"
      Height          =   495
      Left            =   5760
      TabIndex        =   1
      Top             =   1320
      Width           =   1455
   End
   Begin VB.CommandButton cmdGenHTML 
      Caption         =   "Generate HTML"
      Height          =   495
      Left            =   5760
      TabIndex        =   0
      Top             =   120
      Width           =   1455
   End
   Begin VB.Label Label2 
      Caption         =   "Label2"
      Height          =   975
      Left            =   120
      TabIndex        =   9
      Top             =   1440
      Width           =   5535
   End
   Begin VB.Label Label1 
      BackColor       =   &H80000018&
      Height          =   1335
      Left            =   120
      TabIndex        =   7
      Top             =   0
      Width           =   3495
   End
End
Attribute VB_Name = "frmMainProgram"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdBrowser_Click()
frmBrowser.Show
End Sub

Private Sub cmdDatabaseEditor_Click()
frmDatabaseEditor.Show
End Sub

Private Sub cmdExitApp_Click()
Unload frmDatabaseEditor
Unload frmBrowser
Unload Me
End Sub

Private Sub cmdGenHTML_Click()
Dim RecSet As Recordset
Dim DBContacts As Database
Dim SQLStr

' Determine which Template the user wishes to use

Select Case True
    Case optTemplate(0).Value
        SQLStr2 = "SELECT * FROM Templates WHERE TemplateName = 'TemplateA'"
    Case optTemplate(1).Value
        SQLStr2 = "SELECT * FROM Templates WHERE TemplateName = 'TemplateB'"
    Case optTemplate(2).Value
        SQLStr2 = "SELECT * FROM Templates WHERE TemplateName = 'TemplateC'"
End Select

'******************************************************************************
' First objective is to create the Name Index of all Names in the "Names" Table
' Listing each Name and making it a link to the each individuals data HTML
'******************************************************************************

SQLStr = "SELECT * from Names ORDER BY LastName"

' Open the database and create the recordset
Set DBContacts = OpenDatabase(App.Path & "\DBContacts.mdb")
Set RecSet = DBContacts.OpenRecordset(SQLStr)
    ' Create the file object and start writting to it
    ' Since the Name Index will be static, the document format can be hardcoded
    ' into the application.
    Dim fsoIndex, txtfileindex
    Set fsoIndex = CreateObject("Scripting.FileSystemObject")
    Set txtfileindex = fsoIndex.CreateTextFile(App.Path & "\HTMLDocs\NameIndex.HTML", True)
    
    txtfileindex.writeline ("<HTML>")
    txtfileindex.writeline ("<BODY LINK='#0000ff' VLINK='#800080'>")
    txtfileindex.writeline ("<HEAD>")
    txtfileindex.writeline ("<B><P><FONT FACE='Arial' SIZE=3 Color =" + color_blue + ">" & _
                            " Name Index </P></B></FONT>")
    txtfileindex.writeline ("</HEAD>")
    txtfileindex.writeline ("<P><FONT FACE='Arial' SIZE=1>Select Name Below to go to Individual Page</FONT></P>")
    ' Loop through the recordset and write each line to the file object
    While Not RecSet.EOF()
    Name_Index = RecSet.Fields(2) + ", " + RecSet.Fields(1)
    txtfileindex.writeline ("<P><A HREF=" + "'" + Name_Index + ".html'" + ">" + Name_Index + " </A></P>")
    RecSet.MoveNext
    Wend
    ' Close the file Object
    txtfileindex.Close
' Close the recordset and database connection
RecSet.Close
DBContacts.Close

'******************************************************************************
' Second objective is to create an Individual HTML for each Contact and populate
' the HTML with all related database information
'******************************************************************************

' Declare all the variables to be used.
Dim FName, LName
Dim PerStrt, PerCity, PerState, PerZipCode, PerPhone, PerEMail
Dim WrkCompany, WrkDept, WrkPos, WrkStrt, WrkCity, WrkState, WrkZipCode
Dim WrkPhone, WrkEMail

SQLStr = "SELECT Names.NameID, Names.FirstName, Names.LastName, Personal.NameID," & _
         " Personal.StreetAddress, Personal.City, Personal.State, Personal.ZipCode," & _
         " Personal.Phone, Personal.EMail, Work.Company, Work.Department," & _
         " Work.Position, Work.StreetAddress, Work.City, Work.State, Work.ZipCode," & _
         " Work.Phone, Work.Email" & _
         " FROM (Names INNER JOIN Personal ON Names.NameID = Personal.NameID)" & _
         " INNER JOIN Work ON Names.NameID = Work.NameID"

' The databased template will be read as a string called HTMLTemp
Dim HTMLTemp As String

Set DBContacts = OpenDatabase(App.Path & "\DBContacts.mdb")
Set RecSet = DBContacts.OpenRecordset(SQLStr2)

HTMLTempName = RecSet.Fields(1)
' This will load the database information into the string
HTMLTemp = RecSet.Fields(2)

RecSet.Close
DBContacts.Close

Set DBContacts = OpenDatabase(App.Path & "\DBContacts.mdb")
Set RecSet = DBContacts.OpenRecordset(SQLStr)

' Loop through the recordset, assigning each field value to a variable
While Not RecSet.EOF()
  
    Doc_Title = RecSet.Fields(2) + ", " + RecSet.Fields(1)
    
    FName = RecSet.Fields(1)
    LName = RecSet.Fields(2)
    PerStrt = RecSet.Fields(4)
    PerCity = RecSet.Fields(5)
    PerState = RecSet.Fields(6)
    PerZipCode = RecSet.Fields(7)
    PerPhone = RecSet.Fields(8)
    PerEMail = RecSet.Fields(9)
    WrkCompany = RecSet.Fields(10)
    WrkDept = RecSet.Fields(11)
    WrkPos = RecSet.Fields(12)
    WrkStrt = RecSet.Fields(13)
    WrkCity = RecSet.Fields(14)
    WrkState = RecSet.Fields(15)
    WrkZipCode = RecSet.Fields(16)
    WrkPhone = RecSet.Fields(17)
    WrkEMail = RecSet.Fields(18)
    
    Dim NewHTMLTemp As String
    ' Replace Items in Template using VB6 Replace function
    ' The RSxx substring components are Place holders in the Database Template
    ' for every occurance of RSxx in the template, the recordset field data will
    ' be inserted
    NewHTMLTemp = Replace(HTMLTemp, "RS01", FName)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS02", LName)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS04", PerStrt)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS05", PerCity)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS06", PerState)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS07", PerZipCode)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS08", PerPhone)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS09", PerEMail)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS10", WrkCompany)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS11", WrkDept)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS12", WrkPos)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS13", WrkStrt)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS14", WrkCity)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS15", WrkState)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS16", WrkZipCode)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS17", WrkPhone)
    NewHTMLTemp = Replace(NewHTMLTemp, "RS18", WrkEMail)
    
    ' create the file object and write to it
    Dim fso, txtfile
    Set fso = CreateObject("Scripting.FileSystemObject")
    Set txtfile = fso.CreateTextFile(App.Path & "\HTMLDocs\" + Doc_Title + ".HTML", True)
    
    txtfile.writeline ("<FONT FACE='Arial' SIZE=1 Color ='ff0000'>")
    txtfile.writeline ("<P> Created using Template: " + HTMLTempName + "</P></FONT>")
    ' this writes the Template to the file
    txtfile.writeline (NewHTMLTemp)
    ' Close file object
    txtfile.Close
    
RecSet.MoveNext

Wend

RecSet.Close
DBContacts.Close

End Sub

Private Sub Command1_Click()

frmBrowser.Show

End Sub

Private Sub Form_Load()

Label1.Caption = "Select 1 of the three Databased Templates then click 'Generate HTML'." + vbCr & _
                 "Click 'Document Browser' to view the results of each Template format."

Label2.Caption = "This is a Simple HTML Generator." + vbCr & _
                 "This Application uses an Access Database to store Information" + vbCr & _
                 "and HTML Templates.  The user may select any of three Templates" + vbCr & _
                 "and the generator will Populate the templates with information."

End Sub


